-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/52804/#review152582
-----------------------------------------------------------



Master (8256000) is red with this patch.
  ./build-support/jenkins/build.sh

  Running setup.py bdist_wheel for pycparser: started
  Running setup.py bdist_wheel for pycparser: finished with status 'done'
  Stored in directory: 
/home/jenkins/jenkins-slave/workspace/AuroraBot/.home/.cache/pip/wheels/9b/f4/2e/d03e949a551719a1ffcb659f2c63d8444f4df12e994ce52112
  Running setup.py bdist_wheel for twitter.common.options: started
  Running setup.py bdist_wheel for twitter.common.options: finished with status 
'done'
  Stored in directory: 
/home/jenkins/jenkins-slave/workspace/AuroraBot/.home/.cache/pip/wheels/60/c2/40/54b323809df9598cc125f02527f93ff743cd9bd979f4a1737d
Successfully built pantsbuild.pants twitter.common.collections ansicolors 
setproctitle pathspec scandir twitter.common.dirutil pystache psutil docutils 
Markdown Pygments twitter.common.confluence coverage pytest pytest-cov lmdb 
pywatchman twitter.common.lang twitter.common.log cov-core pycparser 
twitter.common.options
Installing collected packages: twitter.common.lang, twitter.common.collections, 
ansicolors, setproctitle, setuptools, six, pyparsing, packaging, pathspec, 
scandir, twitter.common.dirutil, requests, pystache, psutil, pex, docutils, 
Markdown, Pygments, twitter.common.options, twitter.common.log, 
twitter.common.confluence, monotonic, fasteners, coverage, py, pytest, 
cov-core, pytest-cov, futures, pycparser, cffi, lmdb, pywatchman, 
pantsbuild.pants
  Found existing installation: setuptools 21.2.1
    Uninstalling setuptools-21.2.1:
      Successfully uninstalled setuptools-21.2.1
Successfully installed Markdown-2.1.1 Pygments-1.4 ansicolors-1.0.2 cffi-1.7.0 
cov-core-1.15.0 coverage-3.7.1 docutils-0.12 fasteners-0.14.1 futures-3.0.5 
lmdb-0.89 monotonic-1.2 packaging-16.7 pantsbuild.pants-1.2.0rc0 pathspec-0.3.4 
pex-1.1.13 psutil-4.3.0 py-1.4.31 pycparser-2.14 pyparsing-2.1.10 
pystache-0.5.3 pytest-2.6.4 pytest-cov-1.8.1 pywatchman-1.3.0 requests-2.5.3 
scandir-1.2 setproctitle-1.1.10 setuptools-5.4.1 six-1.10.0 
twitter.common.collections-0.3.7 twitter.common.confluence-0.3.7 
twitter.common.dirutil-0.3.7 twitter.common.lang-0.3.7 twitter.common.log-0.3.7 
twitter.common.options-0.3.7
sys:1: DeprecationWarning: DEPRECATED: option 'default_backend_packages' in 
global scope will be removed in version 1.3.0.
  All backends must be specified using the backend_packages option. That option 
has the same defaults as this one, and you can appendand filter those using 
+[...] and -[...] syntax, as described here: 
http://www.pantsbuild.org/options.html#list-options.

22:03:39 00:00 [main]
               (To run a reporting server: ./pants server)
22:03:39 00:00   [setup]
22:03:39 00:00     [parse]
               Executing tasks in goals: compile
22:03:40 00:01   [compile]
22:03:40 00:01     [compile-prep-command]
22:03:40 00:01     [compile]
22:03:40 00:01     [python-eval]
22:03:40 00:01     [pythonstyle]
22:03:40 00:01       [cache]                                          
                   No cached artifacts for 42 targets.
                   Invalidated 42 targets.
T302:ERROR   
src/test/python/apache/aurora/executor/test_thermos_executor.py:621 Expected 2 
blank lines, found 1
     |def test_waiting_executor():

E302:ERROR   
PythonFile(src/test/python/apache/aurora/executor/test_thermos_executor.py):621 
expected 2 blank lines, found 1
     |def test_waiting_executor():


FAILURE: 2 Python Style issues found. For import order related issues, please 
try `./pants fmt.isort <targets>`


22:04:00 00:21   [complete]
               FAILURE


I will refresh this build result if you post a review containing "@ReviewBot 
retry"

- Aurora ReviewBot


On Oct. 13, 2016, 9:14 p.m., Justin Pinkul wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/52804/
> -----------------------------------------------------------
> 
> (Updated Oct. 13, 2016, 9:14 p.m.)
> 
> 
> Review request for Aurora, Joshua Cohen and Zameer Manji.
> 
> 
> Bugs: AURORA-1789
>     https://issues.apache.org/jira/browse/AURORA-1789
> 
> 
> Repository: aurora
> 
> 
> Description
> -------
> 
> Adding an error message when the mesos_containerizer_path is not set 
> correctly.
> 
> 
> Diffs
> -----
> 
>   src/main/python/apache/aurora/executor/thermos_task_runner.py 
> efa51e162de28c9d96fc898b87a1f63843928829 
>   src/test/python/apache/aurora/executor/test_thermos_executor.py 
> 0bfe9e931f873c9f804f2ba4012e050e1f9fd24e 
> 
> Diff: https://reviews.apache.org/r/52804/diff/
> 
> 
> Testing
> -------
> 
> I verified the new error makes its way to the UI when 
> mesos_containerizer_path is set to a file that does not exist and also 
> verified the executors complates succesfully when mesos_containerizer_path is 
> set to the correct location.
> 
> Unit tests:
> ```
> ./pants test src/test/python/apache/thermos::
> ./pants test src/test/python/apache/aurora/executor::
> ```
> 
> 
> Thanks,
> 
> Justin Pinkul
> 
>

Reply via email to